Bug 699008 - [abrt] kdelibs-6:4.6.2-1.fc14: KCrash::defaultCrashHandler: Process /usr/bin/kdeinit4 was killed by signal 11 (SIGSEGV)
Summary: [abrt] kdelibs-6:4.6.2-1.fc14: KCrash::defaultCrashHandler: Process /usr/bin/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepimlibs
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:372089cbe0b786052bc74365ca4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-22 15:36 UTC by Erik Zeek
Modified: 2011-05-07 02:53 UTC (History)
8 users (show)

Fixed In Version: kdepim-4.4.11.1-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-05 05:00:55 UTC


Attachments (Terms of Use)
File: backtrace (50.22 KB, text/plain)
2011-04-22 15:36 UTC, Erik Zeek
no flags Details

Description Erik Zeek 2011-04-22 15:36:01 UTC
abrt version: 1.1.17
architecture: x86_64
Attached file: backtrace, 51430 bytes
cmdline: 'kdeinit4: plasma-desktop [kdeinit] --nocrashhandler'
component: kdelibs
Attached file: coredump, 196751360 bytes
crash_function: KCrash::defaultCrashHandler
executable: /usr/bin/kdeinit4
kernel: 2.6.35.12-88.fc14.x86_64
package: kdelibs-6:4.6.2-1.fc14
rating: 4
reason: Process /usr/bin/kdeinit4 was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1303486322
uid: 56645

How to reproduce
-----
1. Use kde
2.
3.

Comment 1 Erik Zeek 2011-04-22 15:36:04 UTC
Created attachment 494252 [details]
File: backtrace

Comment 2 Erik Zeek 2011-04-22 15:54:42 UTC
Package: kdelibs-6:4.6.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Happened shortly after unlocking screen saver.
2.
3.

Comment 3 Rex Dieter 2011-04-22 16:14:49 UTC
I *suspect* this is may related to the crashes fixed in kdepim-4.4.11.1 , 

#3  KCalCore::IncidenceBase::isReadOnly (this=0x0) at /usr/src/debug/kdepimlibs-4.6.2/kcalcore/incidencebase.cpp:286
No locals.
#4  0x00007f904207d3d5 in CalendarSupport::Calendar::Private::updateItem (this=0x2184fb0, item=..., mode=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.6.2/plasma/generic/dataengines/calendar/akonadi/calendar.cpp:323

Comment 4 Kevin Kofler 2011-04-22 16:22:14 UTC
Yes, that's the crash kdepim-4.4.11(.1) was released for. It should be fixed in kdepim-4.4.11.1.

Comment 5 Erik Zeek 2011-04-22 17:13:21 UTC
Any idea when kdepim-4.4.11.1 will hit the testing repo?  Crashes every 10 minutes are very annoying.

Comment 6 Fedora Update System 2011-04-27 16:12:44 UTC
kdepim-4.4.11.1-2.fc15,kdepim-runtime-4.4.11.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kdepim-4.4.11.1-2.fc15,kdepim-runtime-4.4.11.1-1.fc15

Comment 7 Fedora Update System 2011-04-27 16:13:17 UTC
kdepim-4.4.11.1-2.fc14,kdepim-runtime-4.4.11.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kdepim-4.4.11.1-2.fc14,kdepim-runtime-4.4.11.1-1.fc14

Comment 8 Fedora Update System 2011-04-28 01:58:31 UTC
Package kdepim-4.4.11.1-2.fc14, kdepim-runtime-4.4.11.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdepim-4.4.11.1-2.fc14 kdepim-runtime-4.4.11.1-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/kdepim-4.4.11.1-2.fc14,kdepim-runtime-4.4.11.1-1.fc14
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-05-05 05:00:49 UTC
kdepim-4.4.11.1-2.fc15, kdepim-runtime-4.4.11.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-05-07 02:53:32 UTC
kdepim-4.4.11.1-2.fc14, kdepim-runtime-4.4.11.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.